WebLogicSubTask.ValidateDbSchemaWithTypes (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.bea.wls.ejb.WebLogicSubTask.ValidateDbSchemaWithTypes class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.bea.wls.ejb
Class WebLogicSubTask.ValidateDbSchemaWithTypes

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.modules.bea.wls.ejb.WebLogicSubTask.ValidateDbSchemaWithTypes

Enclosing class:
  WebLogicSubTask

public static class WebLogicSubTask.ValidateDbSchemaWithTypes
extends org.apache.tools.ant.types.EnumeratedAttribute

Legal values of the validate-db-schema-with in weblogic-rdbms20-persistence-600.dtd

created
  17. juni 2002

Field Summary
`static String` | `META_DATA`
`static String` | `TABLE_QUERY`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`WebLogicSubTask.ValidateDbSchemaWithTypes()`

Method Summary
`String[]` | `getValues()` Gets the Values attribute of the ValidateDbSchemaWithTypes object

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### META_DATA

    public static final String META_DATA

See Also:
  Constant Field Values

### TABLE_QUERY

    public static final String TABLE_QUERY

See Also:
  Constant Field Values

Constructor Detail

### WebLogicSubTask.ValidateDbSchemaWithTypes

    public WebLogicSubTask.ValidateDbSchemaWithTypes()

Method Detail

### getValues

    public String[] getValues()

  Gets the Values attribute of the ValidateDbSchemaWithTypes object

  Returns:
    The Values value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD